Page MenuHomePhabricator

Add an indication to Special:GadgetUsage to show which gadgets are on by default
Closed, DeclinedPublic

Description

Special:GadgetUsage currently shows how many people have enabled each gadget, but for gadgets that are on by default, this can be misleading. We should add some type of indication to show which gadgets are on by default. This could be a separate column, some text after the gadget name, a different color for the row background, etc.

Event Timeline

kaldari created this task.Oct 23 2015, 4:51 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added projects: Community-Tech, Gadgets.
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2015, 4:51 PM
kaldari triaged this task as Normal priority.Oct 23 2015, 5:58 PM
kaldari added a project: Community-Tech-Sprint.
kaldari set Security to None.
kaldari edited a custom field.Oct 23 2015, 6:02 PM
Niharika claimed this task.Oct 26 2015, 7:37 AM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 248814 had a related patch set uploaded (by Niharika29):
Add a column to indicate the default on/off status on Special:GadgetUsage

https://gerrit.wikimedia.org/r/248814

@NiharikaKohli: Hmm, it looks showing usage stats for default gadgets is going to be confusing even if we indicate that they are default. For now, let's do the following:

  • Remove default gadgets from the table output
  • Add a sentence to the page description that says that default gadgets are not included

I'll create a new card for having a separate table on the special page which shows stats for how many people have disabled default gadgets (which will be much more useful than showing just 0).

Change 248814 abandoned by Niharika29:
Add a column to indicate the default on/off status on Special:GadgetUsage

Reason:
Default gadgets will always show a 0 for number of people who have enabled it. This is confusing. We should add a separate table for the default gadgets. Coming up in another patch.

https://gerrit.wikimedia.org/r/248814

Niharika closed this task as Declined.Oct 27 2015, 7:05 AM

Closing as declined.

DannyH edited a custom field.
DannyH moved this task from Epic backlog to Archive on the Community-Tech board.Nov 3 2015, 11:49 PM
He7d3r added a subscriber: He7d3r.Dec 10 2015, 6:41 PM

I'll create a new card for having a separate table on the special page which shows stats for how many people have disabled default gadgets (which will be much more useful than showing just 0).

@kaldari: did you create the task? Where is it?

@He7d3r: Oops, forgot to update that. I discussed this with Niharika on IRC and we decided not to work on that for now. The reason is that it would require significant refactoring of the SpecialGadgetUsage class and wouldn't have a huge impact. In particular, we would have to migrate SpecialGadgetUsage from being a QueryPage to something more complicated and would have to write our own caching system for it rather than using the built-in caching provided by QueryPage (which only works for very simple queries). Instead we just removed default gadgets from Special:GadgetUsage entirely and added a note about that to the page description.

The suggestion at T121133 seems reasonable though.